#ifndef LIGHT_RANDOM_ACCESS_TEXT_FILE
#define LIGHT_RANDOM_ACCESS_TEXT_FILE

#include <string>
#include <vector>
#include "text_file_reader.hpp"

class LightRandomAccessTextFile
{
public:
    LightRandomAccessTextFile(std::string path);

    std::string getLine(size_t lineNumber);

    ~LightRandomAccessTextFile();

private:
    TextFileReader fileReader_;
};

// RAII

#endif // LIGHT_RANDOM_ACCESS_TEXT_FILE
